# Remove-RASNotification.md

## NAME

Remove-RASNotification

## SYNOPSIS

Removes any type of notification.

## SYNTAX

**Remove-RASNotification** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASNotification \[-[InputObject](#inputobject)] *(*[*Notification*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notification.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

A generic command to remove any type of notification.

## PARAMETERS

## Id (uint)

Notification ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Notification](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notification.md))

Input object from pipeline or by parameter.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Notification](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notification.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASNotification -Id 1

Removes notification with id 1.\
\*\*---------- EXAMPLE 2 ----------

Get-RASNotificationEvent -id 2 | Remove-RASNotification

Removes event notification by input object.

## RELATED LINKS

* [Get-RASNotification](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasnotification.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
